import 'package:flutter/material.dart';

class TableCellWidget extends StatelessWidget {
  final String value;
  final Function()? onTap;

  const TableCellWidget({
    super.key,
    required this.value,
    this.onTap,
  });

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: onTap,
      child: Padding(
        padding: const EdgeInsets.all(8.0),
        child: Text(value),
      ),
    );
  }
}
